Bug 1313891 - [RFE] provisioning template test capability
[RFE] provisioning template test capability
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
6.1.5
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 09:59 EST by Paul Armstrong
Modified: 2017-06-15 13:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-15 13:32:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Armstrong 2016-03-02 09:59:45 EST
Description of problem:
When creating and modifying provisioning templates within the Satellite 6.x web interface there is no easy way (discoverable!!) to test the modifications except repeatedly building systems and watching them fail, then read piles of logs, turn on debugging, etc..   


Version-Release number of selected component (if applicable): 
6.1.5


How reproducible:
always

Steps to Reproduce:
1. Create a template.
2. Intentionally create code that fails to build
3. Provision a machine

Actual results:

The kickstart template build fails. Satellite continues provisioning the machine. The system build usually fails. No notification that the system build failed. The system remains stuck in the building state. Someone has to determine that it is a stuck build rather than a slow build. Connect to a console for the system and see why it is stuck. Determine that the template failed to be retrieved. Determine why the template didn't work in the first place. 


Expected results:

The kickstart template build fails. An error is generated. Satellite rolls back the provisioning operation (kind of like when registering/setting up the system in IdM fails).

The user then can see which portion of the template (provisioning/snippet/finish) failed and then use a test template button (maybe beside the Resolve Template button - or better yet on a diagnostics page) and use this to refine templates to meet a build.. Probably better as part of a hostgroup configuration.

Additional info:

Workaround Create a new host and submit the provisioning request. Go to the Compute resource and power off the vm machine. Using the IP address information in the host build tab access:

https://sat6.example.com/unattended/provision?spoof=IPADDR

This will indeed show you exactly which template is causing the problem and give you an as-good-as-it-gets error message.

Documented in an odd place - What's inside provisioning templates. Not listed in troubleshooting templates on the Foreman site. Should also be list in troubleshooting templates.
Comment 1 Paul Armstrong 2016-03-02 10:21:46 EST
Added troubleshooting section to identifying the spoof parameter more clearly:
http://projects.theforeman.org/projects/foreman/wiki/TemplateWriting
Comment 3 Bryan Kearney 2016-07-26 15:02:51 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2017-06-15 13:32:10 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.